View Issue Details

IDProjectCategoryView StatusLast Update
08972Bug reports[All Projects] LimeSurvey Websitepublic2014-06-20 16:46
ReporterapfsiAssigned Toc_schmitz 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version2.05+ 
Summary08972: Currently, only an administrator can save the link target in new window (_blank)
Description

Menu : Edit text elements
In the description box, I entered a link to a document on the server and I select the target on "New window (_blank)".
I click on the "OK" button.
Then I save by clicking on the "Save" button.
I return to the link I created and the target has not been saved, it is set to <undefined>.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.05+ Build 140414
I will donate to the project if issue is resolvedNo
Browserie10
Database & DB-Version?
Operating System (Server)?
Webserver software & version?
PHP VersionPHP Version 5.4.4-14+deb7u4

Relationships

has duplicate 08061 closedc_schmitz Feature requests certain html stripped from question text for non admin users 

Activities

apfsi

apfsi

2014-04-16 12:05

reporter  

LIMESURVEY.png (26,224 bytes)
LIMESURVEY.png (26,224 bytes)
c_schmitz

c_schmitz

2014-04-16 15:05

administrator   ~29819

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=14168

c_schmitz

c_schmitz

2014-04-16 15:06

administrator   ~29820

blank and self are now allowed with this fix. If you need others (parent or top) you will need to deactivate the XSS filter in global settings.

c_schmitz

c_schmitz

2014-04-22 21:28

administrator   ~29857

2.05+ Build 140422 released.

Related Changesets

LimeSurvey: master 85cc79c4

2014-04-16 13:05:13

c_schmitz

Details Diff
Fixed issue 08972: Currently only an administrator can save the link target in new window (_blank)
mod - application/core/LSYii_Validators.php Diff File

Issue History

Date Modified Username Field Change
2014-04-16 12:05 apfsi New Issue
2014-04-16 12:05 apfsi Status new => assigned
2014-04-16 12:05 apfsi Assigned To => c_schmitz
2014-04-16 12:05 apfsi File Added: LIMESURVEY.png
2014-04-16 15:05 c_schmitz Changeset attached => LimeSurvey master 85cc79c4
2014-04-16 15:05 c_schmitz Note Added: 29819
2014-04-16 15:05 c_schmitz Resolution open => fixed
2014-04-16 15:06 c_schmitz Note Added: 29820
2014-04-16 15:06 c_schmitz Status assigned => resolved
2014-04-16 15:06 c_schmitz Fixed in Version => 2.05+
2014-04-22 21:28 c_schmitz Note Added: 29857
2014-04-22 21:28 c_schmitz Status resolved => closed
2014-05-03 21:20 c_schmitz Relationship added has duplicate 08061
2014-06-20 16:43 c_schmitz Status closed => feedback
2014-06-20 16:43 c_schmitz Resolution fixed => reopened
2014-06-20 16:46 c_schmitz Status feedback => closed
2014-06-20 16:46 c_schmitz Resolution reopened => fixed